module Ruboty
  module Handlers
    class OyasumiHubot < Base
      DEFAULT_MESSAGE = 'hubot is absent now...'
      HUBOT_NAME = Regexp.escape(ENV['RUBOTY_HUBOT_OYASUMI_HUBOT_NAME'] || 'hubot')

      on(/\A@?#{HUBOT_NAME}\s/,
         name: :'hubot_oyasumi',
         description: 'tell hubot is absent',
         all: true)

      def hubot_oyasumi(message)
        message.reply(absent_message)
      end

      def absent_message
        ENV['RUBOTY_HUBOT_OYASUMI'] || DEFAULT_MESSAGE
      end
    end
  end
end
